
package de.fzi.ipe.soboleo.server.soapwebservice;

import javax.xml.ws.WebFault;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.7-b01-
 * Generated source version: 2.1
 * 
 */
@WebFault(name = "invalidLoginMsg", targetNamespace = "http://soboleo.com")
public class InvalidLoginException
    extends Exception
{

    /**
     * Java type that goes as soapenv:Fault detail element.
     * 
     */
    private InvalidLoginMsg faultInfo;

    /**
     * 
     * @param message
     * @param faultInfo
     */
    public InvalidLoginException(String message, InvalidLoginMsg faultInfo) {
        super(message);
        this.faultInfo = faultInfo;
    }

    /**
     * 
     * @param message
     * @param faultInfo
     * @param cause
     */
    public InvalidLoginException(String message, InvalidLoginMsg faultInfo, Throwable cause) {
        super(message, cause);
        this.faultInfo = faultInfo;
    }

    /**
     * 
     * @return
     *     returns fault bean: de.fzi.ipe.soboleo.server.soapwebservice.InvalidLoginMsg
     */
    public InvalidLoginMsg getFaultInfo() {
        return faultInfo;
    }

}
